Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 27-08-2018 17:39:42

NOUBISSI
Membre
Inscription : 27-08-2018

[Résolu] Installation de postgresql-9.6 pour odoo: dépendances non

Bonjour à tous,

Nouveau dans l'univers Debian,:)

Depuis quelques jours j’essaie d'installer postgresql-9.6 (pour odoo) sur un nouveau serveur que je viens d'installer (Débian 9.5), mais je bloque toujours au même niveau. après avoir essayé plusieurs méthodes lues sur le web sans succès,kernal_panic.gif
je crois qu'il est temps de demander de l'aide, pour ne pas mettre en péril mon installation.

Voilà l'erreur qui est présentée.


Les paquets suivants contiennent des dépendances non satisfaites :

postgresql-9.6 : Dépend: libssl1.0.0 (>= 1.0.0) mais il n'est pas installable
                  Recommande: postgresql-contrib-9.6 mais ne sera pas installé
                  Recommande: sysstat mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».

Voilà aussi le contenu de mon fichier :/etc/apt/sources.list.d/pgdg.list

 #deb http://apt.postgresql.org/pub/repos/apt/ xenial-pgdg main
#deb http://archive.raspbian.org/raspbian jessie main contrib non-free
#deb http://ftp.debian.org/debian stretch-backports main
 



Le contenu de mon fichier   : /etc/apt/sources.list 

# deb cdrom:[Debian GNU/Linux 9.5.0 _Stretch_ - Official amd64 DVD Binary-1 20180714-10:25$

#deb cdrom:[Debian GNU/Linux 9.5.0 _Stretch_ - Official amd64 DVD Binary-1 20180714-10:25]$

deb http://ftp.fr.debian.org/debian/ stretch main
deb-src http://ftp.fr.debian.org/debian/ stretch main
deb http://security.debian.org/debian-security stretch/updates main contrib
deb-src http://security.debian.org/debian-security stretch/updates main contrib

# stretch-updates, previously known as 'volatile'
deb http://ftp.fr.debian.org/debian/ stretch-updates main contrib
deb-src http://ftp.fr.debian.org/debian/ stretch-updates main contrib
deb http://apt.postgresql.org/pub/repos/apt/ xenial-pgdg main
deb http://archive.raspbian.org/raspbian jessie main contrib non-free
#deb http://ftp.debian.org/debian stretch-backports main
deb http://www-fourier.ujf-grenoble.fr/~parisse/debian/ stable main
 




Merci pour votre orientation

Christian

Dernière modification par NOUBISSI (27-08-2018 23:25:06)

Hors ligne

#2 27-08-2018 17:44:25

Beta-Pictoris
Membre
Lieu : Angers
Distrib. : Buster
Inscription : 12-08-2015

Re : [Résolu] Installation de postgresql-9.6 pour odoo: dépendances non

Que donne ?

apt -s  install postgresql/stable


Que donne ?

apt --installed list | egrep -v '/stable'


Que donne ?

apt policy

Dernière modification par Beta-Pictoris (27-08-2018 17:49:24)

Hors ligne

#3 27-08-2018 18:10:07

NOUBISSI
Membre
Inscription : 27-08-2018

Re : [Résolu] Installation de postgresql-9.6 pour odoo: dépendances non

Bonjour

Merci pour la prompte réaction.

Ci-dessous les différents résultats:

apt -s  install postgresql/stable


root@Serveur:/home/christian# apt -s  install postgresql/stable
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Version choisie « 9.6+181+deb9u2 » (Debian:9.5/stable [all]) pour « postgresql »
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
 postgresql : Dépend: postgresql-9.6 mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».
 





apt --installed list | egrep -v '/stable'


root@Serveur:/home/christian# apt --installed list | egrep -v '/stable'

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

En train de lister…
webmin/now 1.890 all  [installé, local]
 



apt policy


root@Serveur:/home/christian# apt policy
Fichiers du paquet :
 100 /var/lib/dpkg/status
     release a=now
 500 http://www-fourier.ujf-grenoble.fr/~parisse/debian stable/main amd64 Packages
     release o=Bernard Parisse,a=stable,l=Unofficial packages,c=main,b=amd64
     origin www-fourier.ujf-grenoble.fr
 500 http://apt.postgresql.org/pub/repos/apt xenial-pgdg/main amd64 Packages
     release o=apt.postgresql.org,a=xenial-pgdg,n=xenial-pgdg,l=PostgreSQL for Debian/Ubuntu repository,c=main,b=amd64
     origin apt.postgresql.org
 500 http://ftp.fr.debian.org/debian stretch-updates/main amd64 Packages
     release o=Debian,a=stable-updates,n=stretch-updates,l=Debian,c=main,b=amd64
     origin ftp.fr.debian.org
 500 http://security.debian.org/debian-security stretch/updates/contrib amd64 Packages
     release v=9,o=Debian,a=stable,n=stretch,l=Debian-Security,c=contrib,b=amd64
     origin security.debian.org
 500 http://security.debian.org/debian-security stretch/updates/main amd64 Packages
     release v=9,o=Debian,a=stable,n=stretch,l=Debian-Security,c=main,b=amd64
     origin security.debian.org
 500 http://ftp.fr.debian.org/debian stretch/main amd64 Packages
     release v=9.5,o=Debian,a=stable,n=stretch,l=Debian,c=main,b=amd64
     origin ftp.fr.debian.org
Paquets épinglés :
 




Merci

Hors ligne

#4 27-08-2018 18:42:25

Freemaster
Membre
Lieu : Nord
Distrib. : Debian amd64
Inscription : 31-07-2018
Site Web

Re : [Résolu] Installation de postgresql-9.6 pour odoo: dépendances non

Salut,

pourquoi as-tu eu besoin de /etc/apt/sources.list.d/pgdg.list pour postgresql ?

y a une version 9.6 déjà dans la branche main officiel

# apt-cache policy postgresql-9.6
postgresql-9.6:
  Installé : 9.6.10-0+deb9u1
  Candidat : 9.6.10-0+deb9u1
 Table de version :
     9.6.10-0+deb9u1 500
        500 http://security.debian.org/debian-security stretch/updates/main amd64 Packages
     9.6.9-0+deb9u1 500
        500 http://debian.mirrors.ovh.net/debian stretch/main amd64 Packages


et en plus ça s'installe sans problèmes...

Hors ligne

#5 27-08-2018 18:48:11

Beta-Pictoris
Membre
Lieu : Angers
Distrib. : Buster
Inscription : 12-08-2015

Re : [Résolu] Installation de postgresql-9.6 pour odoo: dépendances non

Utilise ce fichier '/etc/apt/sources.list' :

deb http://ftp.fr.debian.org/debian/ stretch main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ stretch main contrib non-free

deb http://security.debian.org/debian-security stretch/updates main contrib non-free
deb-src http://security.debian.org/debian-security stretch/updates main contrib non-free
 
# stretch-updates, previously known as 'volatile'
deb http://ftp.fr.debian.org/debian/ stretch-updates main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ stretch-updates main contrib non-free
 


Et lance ensuite un 'apt update'.

Dernière modification par Beta-Pictoris (27-08-2018 18:49:18)

Hors ligne

#6 27-08-2018 19:03:12

NOUBISSI
Membre
Inscription : 27-08-2018

Re : [Résolu] Installation de postgresql-9.6 pour odoo: dépendances non

Merci à tous,

Problème résolu woohoo.gif

J'ai commencé par supprimer ma liste /etc/apt/sources.list.d/pgdg.list tel qu'indiqué par Freemaster,
Ensuite changé ma liste par celle fournie par Beta-Pictoris et après un update, l'installation est passée comme une lettre à la poste.

ça fait plaisir d'avancer. Une fois de plus merci.

Christian smile

Hors ligne

#7 27-08-2018 20:40:12

bendia
Chadministrateur
Distrib. : Buster, Stretch (et un peu Jessie)
Noyau : Linux 4.9.0-2-amd64
(G)UI : Gnome + Console et un peu Openbox
Inscription : 20-03-2012
Site Web

Re : [Résolu] Installation de postgresql-9.6 pour odoo: dépendances non

Bonjour:)

Content que tu ais trouvé une solution smile Histoire qu'elle profite à tous Voir le tuto : C'est résolu ! Bravo mais il faut l'indiquer dans l'titre.

D'une manière générale, il faut vraiment éviter de mettre d'autres sources que celles officielle, surtout pour débuter smile Pour devenir un crack en gestion des paquets : c'est par là https://debian-facile.org/doc:systeme:apt

Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.

Hors ligne

Pied de page des forums